#!/usr/bin/python
####################################################################################################
#
#	Author:		Joshua Nicholas
#
"""Utilities for controlling access to a particular disk
"""

import vi_utils

####################################################################################################

__all__ = [	'global_numOfDisksSetupAtOnce'
		,	'setup_disk_for_access'
		,	'done_accessing_disk' ]

####################################################################################################

global_numOfDisksSetupAtOnce   = 2000

####################################################################################################
def setup_disk_for_access( vi_errorAndLog_obj, wwid, diskInfo_DICT ):
	"""
	This routine
	"""
#
	diskInfo = diskInfo_DICT[ wwid ]
	diskInfo.mCurState.mWasAlreadyAccessible = True


	if 0:
		if len( unavailable_vgname_LIST ) > 0:
			cmdArgs	= [ 'vgchange', '--available', 'ly', ' '.join( unavailable_vgname_LIST ) ]
			stdout_LIST, stderr_LIST, exitStatus, deltaTime = vi_utils.vi_exe_sync( vi_errorAndLog_obj, cmdArgs )
			del( stdout_LIST )
			del( stderr_LIST )


####################################################################################################
def done_accessing_disk( vi_errorAndLog_obj, wwid, diskInfo_DICT ):
	"""
	This routine
	"""
#
	pass

	if 0:
		if len( unavailable_vgname_LIST ) > 0:
			cmdArgs	= [ 'vgchange', '--available', 'ln', ' '.join( unavailable_vgname_LIST ) ]
			stdout_LIST, stderr_LIST, exitStatus, deltaTime = vi_utils.vi_exe_sync( vi_errorAndLog_obj, cmdArgs )
			del( stdout_LIST )
			del( stderr_LIST )


####################################################################################################
# END
